postgresql9.6-perl-9.6.15-alt1.x86_64.rpm


Advertisement

Description

postgresql9.6-perl - The PL/Perl procedural language for PostgreSQL

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package filename postgresql9.6-perl-9.6.15-alt1.x86_64.rpm
Package name postgresql9.6-perl
Package version 9.6.15
Package release alt1
Package architecture x86_64
Package type rpm
Category Databases
Homepage -
License -
Maintainer -
Download size 178.71 KB
Installed size 178.71 KB
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-perl package contains the PL/Perl procedural
language for the backend.

Alternatives

Package Version Architecture Repository
postgresql9.6-perl-9.6.15-alt1.i586.rpm 9.6.15 i586 Classic
postgresql9.6-perl - - -

Requires

Name Value
libperl-5.28.so()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
postgresql9.6-server = 9.6.15-alt1:sisyphus+235637.400.1.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
postgresql-perl = 9.6.15-alt1
postgresql9.6-perl = 9.6.15-alt1:sisyphus+235637.400.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package postgresql9.6-perl-9.6.15-alt1.x86_64.rpm
Source Package postgresql9.6-9.6.15-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install postgresql9.6-perl rpm package:
    # sudo apt-get install postgresql9.6-perl

Files

Path
/usr/lib64/pgsql/plperl.so
/usr/share/locale/cs/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/de/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/es/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/fr/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/it/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/ja/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/ko/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/pl/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/pt_BR/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/ro/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/ru/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/sv/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/tr/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/zh_CN/LC_MESSAGES/plperl-9.6.mo
/usr/share/locale/zh_TW/LC_MESSAGES/plperl-9.6.mo
/usr/share/pgsql/extension/plperl--1.0.sql
/usr/share/pgsql/extension/plperl--unpackaged--1.0.sql
/usr/share/pgsql/extension/plperl.control
/usr/share/pgsql/extension/plperlu--1.0.sql
/usr/share/pgsql/extension/plperlu--unpackaged--1.0.sql
/usr/share/pgsql/extension/plperlu.control

Changelog

2019-08-07 - Alexei Takaseev <taf@altlinux.org> 9.6.15-alt1
- 9.6.15 (Fixes CVE-2019-10208)
2019-06-20 - Alexei Takaseev <taf@altlinux.org> 9.6.14-alt1
- 9.6.14
2019-05-08 - Alexei Takaseev <taf@altlinux.org> 9.6.13-alt1
- 9.6.13
- (Fixes CVE-2019-10130)
2019-04-04 - Alexei Takaseev <taf@altlinux.org> 9.6.12-alt2
- Move *.control and *.sql files from -server to -contrib subpackage
(Fixes ALT#36271)
- Removed unnecessary minor version in package name libpq and libecpg
- Join subpackages libpq-devel, libecpg-devel and postgresql-devel to
one postgresql-devel subpackage
- Remove unneeded Conflicts like postgresqlX.Y
- Remove unneeded Conflicts < and > for all subpackages
- Rename postgresqlX-devel to postgresql-devel
- Add Requires to -server for -contrib, -perl, -python and -tcl and subpackages
2019-02-14 - Alexei Takaseev <taf@altlinux.org> 9.6.12-alt1
- 9.6.12
- Replace PreReq to Requires(pre)
- Remove deadcode for chroot
2019-01-24 - Igor Vlasenko <viy@altlinux.ru> 9.6.11-alt1.1
- rebuild with new perl 5.28.1
2018-11-08 - Alexei Takaseev <taf@altlinux.org> 9.6.11-alt1
- 9.6.11
2018-10-19 - Alexei Takaseev <taf@altlinux.org> 9.6.10-alt5
- Disable package libs for --without devel. This will provide
one set of libraries for all versions of the PG.
2018-10-08 - Igor Vlasenko <viy@altlinux.ru> 9.6.10-alt4
- NMU: removed Provides: postgresql-perl from old postgresses
2018-09-04 - Alexei Takaseev <taf@altlinux.org> 9.6.10-alt3
- Add BR: libkrb5-devel
- Rebuild with OpenSSL 1.1.x

See Also

Package Description
postgresql9.6-python-9.6.15-alt1.x86_64.rpm Development module for Python code to access a PostgreSQL DB
postgresql9.6-server-9.6.15-alt1.x86_64.rpm The programs needed to create and run a PostgreSQL server
postgresql9.6-tcl-9.6.15-alt1.x86_64.rpm The PL/Tcl procedural language for PostgreSQL
potrace-1.15-alt2.x86_64.rpm Potrace is a utility for transform bitmaps into vector graphics
pound-2.8-alt2.x86_64.rpm Reverse proxy, load balancer and HTTPS front-end for Web servers
povray-3.7.0.8-alt3.x86_64.rpm Persistence of Vision Ray Tracer (POV-Ray)
povray-common-3.7.0.8-alt3.x86_64.rpm POV-Ray common files
powdertoy-94.1-alt1.x86_64.rpm Classic 'falling sand' physics sandbox game
powermanga-0.93.1-alt1.x86_64.rpm Shoot them up with 3d graphics
powermgmt-base-1.22-alt1.qa1.x86_64.rpm Common utils and configs for power management
powernowd-1.00-alt3.x86_64.rpm PowerNow Daemon controls the speed and voltage of CPUs
powershell-6.0.0-alt6.x86_64.rpm PowerShell for every system!
powertop-2.11-alt1.x86_64.rpm Tool that helps you find what software is using the most power
powertop1-1.13-alt4.x86_64.rpm Tool that helps you find what software is using the most power
ppapi-plugin-adobe-flash-32.0.0.270-alt16.x86_64.rpm Adobe Flash Player
Advertisement
Advertisement